<template>
  <div
    class="module-page-header position-relative"
  >
    <h1 v-html="$stripPTags(data.headline)"></h1>
    {{ data.variante }}<br>
    {{ data.text}}<br>
    <atom-image
      ratio="variable"
      :image="data.image"
      class="page-header-image"
    />
    <div class="paperBg"></div>
  </div>
</template>

<script>
export default {
  props: {
    data: {
      type:Object,
      default: () => {},
    }
  },
  mounted() {
    console.log('page-header.vue data: ', this.data);
  }
}
</script>

<style lang="scss">
.module-page-header {
  .paperBg {
    background-image: url('/img/reispapier.webp');
  }
}
</style>
